<?php
/**
 * The Portfolio template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage HEARTSTAR
 * @since HEARTSTAR 1.0
 */

$heartstar_template_args = get_query_var('heartstar_template_args');
if (is_array($heartstar_template_args)) {
	$heartstar_columns = empty($heartstar_template_args['columns']) ? 2 : max(2, $heartstar_template_args['columns']);
	$heartstar_blog_style = array($heartstar_template_args['type'], $heartstar_columns);
} else {
	$heartstar_blog_style = explode('_', heartstar_get_theme_option('blog_style'));
	$heartstar_columns = empty($heartstar_blog_style[1]) ? 2 : max(2, $heartstar_blog_style[1]);
}
$heartstar_post_format = get_post_format();
$heartstar_post_format = empty($heartstar_post_format) ? 'standard' : str_replace('post-format-', '', $heartstar_post_format);
$heartstar_animation = heartstar_get_theme_option('blog_animation');

?><article id="post-<?php the_ID(); ?>" <?php
	post_class( 'post_item'
				. ' post_layout_portfolio'
				. ' post_layout_portfolio_'.esc_attr($heartstar_columns)
				. ' post_format_'.esc_attr($heartstar_post_format)
				. (is_sticky() && !is_paged() ? ' sticky' : '')
				. (!empty($heartstar_template_args['slider']) ? ' slider-slide swiper-slide' : '')
			);
	echo (!heartstar_is_off($heartstar_animation) && empty($heartstar_template_args['slider']) ? ' data-animation="'.esc_attr(heartstar_get_animation_classes($heartstar_animation)).'"' : '');
?>><?php

	// Sticky label
	if ( is_sticky() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	$heartstar_image_hover = !empty($heartstar_template_args['hover']) && !heartstar_is_inherit($heartstar_template_args['hover'])
								? $heartstar_template_args['hover']
								: heartstar_get_theme_option('image_hover');
	// Featured image
	heartstar_show_post_featured(array(
		'singular' => false,
		'hover' => $heartstar_image_hover,
		'no_links' => !empty($heartstar_template_args['no_links']),
		'thumb_size' => heartstar_get_thumb_size(strpos(heartstar_get_theme_option('body_style'), 'full')!==false || $heartstar_columns < 3 
								? 'masonry-big' 
								: 'masonry'),
		'show_no_image' => true,
		'class' => $heartstar_image_hover == 'dots' ? 'hover_with_info' : '',
		'post_info' => $heartstar_image_hover == 'dots' ? '<div class="post_info">'.esc_html(get_the_title()).'</div>' : ''
	));
	?>
</article>