<?php
/**
 * The Sticky template to display the sticky posts
 *
 * Used for index/archive
 *
 * @package WordPress
 * @subpackage HEARTSTAR
 * @since HEARTSTAR 1.0
 */

$heartstar_columns = max(1, min(3, count(get_option( 'sticky_posts' ))));
$heartstar_post_format = get_post_format();
$heartstar_post_format = empty($heartstar_post_format) ? 'standard' : str_replace('post-format-', '', $heartstar_post_format);
$heartstar_animation = heartstar_get_theme_option('blog_animation');

?><div class="column-1_<?php echo esc_attr($heartstar_columns); ?>"><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_sticky post_format_'.esc_attr($heartstar_post_format) ); ?>
	<?php echo (!heartstar_is_off($heartstar_animation) ? ' data-animation="'.esc_attr(heartstar_get_animation_classes($heartstar_animation)).'"' : ''); ?>
	>

	<?php
	if ( is_sticky() && is_home() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	// Featured image
	heartstar_show_post_featured(array(
		'thumb_size' => heartstar_get_thumb_size($heartstar_columns==1 ? 'big' : ($heartstar_columns==2 ? 'med' : 'avatar'))
	));

	if ( !in_array($heartstar_post_format, array('link', 'aside', 'status', 'quote')) ) {
		?>
		<div class="post_header entry-header">
			<?php
			// Post title
			the_title( sprintf( '<h6 class="post_title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h6>' );
			// Post meta
			heartstar_show_post_meta(apply_filters('heartstar_filter_post_meta_args', array(), 'sticky', $heartstar_columns));
			?>
		</div><!-- .entry-header -->
		<?php
	}
	?>
</article></div>