<?php
/**
 * The template for homepage posts with "Classic" style
 *
 * @package WordPress
 * @subpackage HEARTSTAR
 * @since HEARTSTAR 1.0
 */

heartstar_storage_set('blog_archive', true);

get_header(); 

if (have_posts()) {

	heartstar_blog_archive_start();

	$heartstar_classes = 'posts_container '
						. (substr(heartstar_get_theme_option('blog_style'), 0, 7) == 'classic' 
							? 'columns_wrap columns_padding_bottom' 
							: 'masonry_wrap'
							);
	$heartstar_stickies = is_home() ? get_option( 'sticky_posts' ) : false;
	$heartstar_sticky_out = heartstar_get_theme_option('sticky_style')=='columns' 
							&& is_array($heartstar_stickies) && count($heartstar_stickies) > 0 && get_query_var( 'paged' ) < 1;
	if ($heartstar_sticky_out) {
		?><div class="sticky_wrap columns_wrap"><?php	
	}
	if (!$heartstar_sticky_out) {
		if (heartstar_get_theme_option('first_post_large') && !is_paged() && !in_array(heartstar_get_theme_option('body_style'), array('fullwide', 'fullscreen'))) {
			the_post();
			get_template_part( apply_filters('heartstar_filter_get_template_part', 'content', 'excerpt'), 'excerpt' );
		}
		
		?><div class="<?php echo esc_attr($heartstar_classes); ?>"><?php
	}
	while ( have_posts() ) { the_post(); 
		if ($heartstar_sticky_out && !is_sticky()) {
			$heartstar_sticky_out = false;
			?></div><div class="<?php echo esc_attr($heartstar_classes); ?>"><?php
		}
		$heartstar_part = $heartstar_sticky_out && is_sticky() ? 'sticky' : 'classic';
		get_template_part( apply_filters('heartstar_filter_get_template_part', 'content', $heartstar_part), $heartstar_part );
	}
	
	?></div><?php

	heartstar_show_pagination();

	heartstar_blog_archive_end();

} else {

	if ( is_search() )
		get_template_part( apply_filters('heartstar_filter_get_template_part', 'content', 'none-search'), 'none-search' );
	else
		get_template_part( apply_filters('heartstar_filter_get_template_part', 'content', 'none-archive'), 'none-archive' );

}

get_footer();
?>