<?php
/**
 * The template for homepage posts with "Portfolio" style
 *
 * @package WordPress
 * @subpackage HEARTSTAR
 * @since HEARTSTAR 1.0
 */

heartstar_storage_set('blog_archive', true);

get_header(); 

if (have_posts()) {

	heartstar_blog_archive_start();

	$heartstar_stickies = is_home() ? get_option( 'sticky_posts' ) : false;
	$heartstar_sticky_out = heartstar_get_theme_option('sticky_style')=='columns' 
							&& is_array($heartstar_stickies) && count($heartstar_stickies) > 0 && get_query_var( 'paged' ) < 1;
	
	// Show filters
	$heartstar_cat = heartstar_get_theme_option('parent_cat');
	$heartstar_post_type = heartstar_get_theme_option('post_type');
	$heartstar_taxonomy = heartstar_get_post_type_taxonomy($heartstar_post_type);
	$heartstar_show_filters = heartstar_get_theme_option('show_filters');
	$heartstar_tabs = array();
	if (!heartstar_is_off($heartstar_show_filters)) {
		$heartstar_args = array(
			'type'			=> $heartstar_post_type,
			'child_of'		=> $heartstar_cat,
			'orderby'		=> 'name',
			'order'			=> 'ASC',
			'hide_empty'	=> 1,
			'hierarchical'	=> 0,
			'taxonomy'		=> $heartstar_taxonomy,
			'pad_counts'	=> false
		);
		$heartstar_portfolio_list = get_terms($heartstar_args);
		if (is_array($heartstar_portfolio_list) && count($heartstar_portfolio_list) > 0) {
			$heartstar_tabs[$heartstar_cat] = esc_html__('All', 'heartstar');
			foreach ($heartstar_portfolio_list as $heartstar_term) {
				if (isset($heartstar_term->term_id)) $heartstar_tabs[$heartstar_term->term_id] = $heartstar_term->name;
			}
		}
	}
	if (count($heartstar_tabs) > 0) {
		$heartstar_portfolio_filters_ajax = true;
		$heartstar_portfolio_filters_active = $heartstar_cat;
		$heartstar_portfolio_filters_id = 'portfolio_filters';
		?>
		<div class="portfolio_filters heartstar_tabs heartstar_tabs_ajax">
			<ul class="portfolio_titles heartstar_tabs_titles">
				<?php
				foreach ($heartstar_tabs as $heartstar_id=>$heartstar_title) {
					?><li><a href="<?php echo esc_url(heartstar_get_hash_link(sprintf('#%s_%s_content', $heartstar_portfolio_filters_id, $heartstar_id))); ?>" data-tab="<?php echo esc_attr($heartstar_id); ?>"><?php echo esc_html($heartstar_title); ?></a></li><?php
				}
				?>
			</ul>
			<?php
			$heartstar_ppp = heartstar_get_theme_option('posts_per_page');
			if (heartstar_is_inherit($heartstar_ppp)) $heartstar_ppp = '';
			foreach ($heartstar_tabs as $heartstar_id=>$heartstar_title) {
				$heartstar_portfolio_need_content = $heartstar_id==$heartstar_portfolio_filters_active || !$heartstar_portfolio_filters_ajax;
				?>
				<div id="<?php echo esc_attr(sprintf('%s_%s_content', $heartstar_portfolio_filters_id, $heartstar_id)); ?>"
					class="portfolio_content heartstar_tabs_content"
					data-blog-template="<?php echo esc_attr(heartstar_storage_get('blog_template')); ?>"
					data-blog-style="<?php echo esc_attr(heartstar_get_theme_option('blog_style')); ?>"
					data-posts-per-page="<?php echo esc_attr($heartstar_ppp); ?>"
					data-post-type="<?php echo esc_attr($heartstar_post_type); ?>"
					data-taxonomy="<?php echo esc_attr($heartstar_taxonomy); ?>"
					data-cat="<?php echo esc_attr($heartstar_id); ?>"
					data-parent-cat="<?php echo esc_attr($heartstar_cat); ?>"
					data-need-content="<?php echo (false===$heartstar_portfolio_need_content ? 'true' : 'false'); ?>"
				>
					<?php
					if ($heartstar_portfolio_need_content) 
						heartstar_show_portfolio_posts(array(
							'cat' => $heartstar_id,
							'parent_cat' => $heartstar_cat,
							'taxonomy' => $heartstar_taxonomy,
							'post_type' => $heartstar_post_type,
							'page' => 1,
							'sticky' => $heartstar_sticky_out
							)
						);
					?>
				</div>
				<?php
			}
			?>
		</div>
		<?php
	} else {
		heartstar_show_portfolio_posts(array(
			'cat' => $heartstar_cat,
			'parent_cat' => $heartstar_cat,
			'taxonomy' => $heartstar_taxonomy,
			'post_type' => $heartstar_post_type,
			'page' => 1,
			'sticky' => $heartstar_sticky_out
			)
		);
	}

	heartstar_blog_archive_end();

} else {

	if ( is_search() )
		get_template_part( apply_filters('heartstar_filter_get_template_part', 'content', 'none-search'), 'none-search' );
	else
		get_template_part( apply_filters('heartstar_filter_get_template_part', 'content', 'none-archive'), 'none-archive' );

}

get_footer();
?>