<?php
/**
 * The Sidebar containing the main widget areas.
 *
 * @package WordPress
 * @subpackage HEARTSTAR
 * @since HEARTSTAR 1.0
 */

if (heartstar_sidebar_present()) {
	ob_start();
	$heartstar_sidebar_name = heartstar_get_theme_option('sidebar_widgets');
	heartstar_storage_set('current_sidebar', 'sidebar');
	if ( is_active_sidebar($heartstar_sidebar_name) ) {
		dynamic_sidebar($heartstar_sidebar_name);
	}
	$heartstar_out = trim(ob_get_contents());
	ob_end_clean();
	if (!empty($heartstar_out)) {
		$heartstar_sidebar_position = heartstar_get_theme_option('sidebar_position');
		?>
		<div class="sidebar <?php echo esc_attr($heartstar_sidebar_position); ?> widget_area<?php if (!heartstar_is_inherit(heartstar_get_theme_option('sidebar_scheme'))) echo ' scheme_'.esc_attr(heartstar_get_theme_option('sidebar_scheme')); ?>" role="complementary">
			<div class="sidebar_inner">
				<?php
				do_action( 'heartstar_action_before_sidebar' );
				heartstar_show_layout(preg_replace("/<\/aside>[\r\n\s]*<aside/", "</aside><aside", $heartstar_out));
				do_action( 'heartstar_action_after_sidebar' );
				?>
			</div><!-- /.sidebar_inner -->
		</div><!-- /.sidebar -->
		<?php
	}
}
?>