<?php
/**
 * The template to display Admin notices
 *
 * @package WordPress
 * @subpackage HEARTSTAR
 * @since HEARTSTAR 1.0.1
 */
 
$heartstar_theme_obj = wp_get_theme();
?>
<div class="heartstar_admin_notice heartstar_welcome_notice update-nag"><?php
	// Theme image
	if ( ($heartstar_theme_img = heartstar_get_file_url('screenshot.jpg')) != '') {
		?><div class="heartstar_notice_image"><img src="<?php echo esc_url($heartstar_theme_img); ?>" alt="<?php esc_attr_e('Theme screenshot', 'heartstar'); ?>"></div><?php
	}

	// Title
	?><h3 class="heartstar_notice_title"><?php
		// Translators: Add theme name and version to the 'Welcome' message
		echo esc_html(sprintf(__('Welcome to %1$s v.%2$s', 'heartstar'),
				$heartstar_theme_obj->name . (HEARTSTAR_THEME_FREE ? ' ' . __('Free', 'heartstar') : ''),
				$heartstar_theme_obj->version
				));
	?></h3><?php

	// Description
	?><div class="heartstar_notice_text"><?php
		echo str_replace('. ', '.<br>', wp_kses_data($heartstar_theme_obj->description));
		if (!heartstar_exists_trx_addons()) {
			echo (!empty($heartstar_theme_obj->description) ? '<br><br>' : '')
					. wp_kses_data(__('Attention! Plugin "ThemeREX Addons" is required! Please, install and activate it!', 'heartstar'));
		}
	?></div><?php

	// Buttons
	?><div class="heartstar_notice_buttons"><?php
		// Link to the page 'About Theme'
		?><a href="<?php echo esc_url(admin_url().'themes.php?page=heartstar_about'); ?>" class="button button-primary"><i class="dashicons dashicons-nametag"></i> <?php
			// Translators: Add theme name
			echo esc_html(sprintf(__('About %s', 'heartstar'), $heartstar_theme_obj->name));
		?></a><?php
		// Link to the page 'Install plugins'
		if (heartstar_get_value_gp('page')!='tgmpa-install-plugins') {
			?>
			<a href="<?php echo esc_url(admin_url().'themes.php?page=tgmpa-install-plugins'); ?>" class="button button-primary"><i class="dashicons dashicons-admin-plugins"></i> <?php esc_html_e('Install plugins', 'heartstar'); ?></a>
			<?php
		}
		// Link to the 'One-click demo import'
		if (function_exists('heartstar_exists_ocdi') && heartstar_exists_ocdi()) {
			?>
			<a href="<?php echo esc_url(admin_url().'themes.php?page=pt-one-click-demo-import'); ?>" class="button button-primary"><i class="dashicons dashicons-download"></i> <?php esc_html_e('One Click Demo Import', 'heartstar'); ?></a>
			<?php
		} else if (!heartstar_storage_isset('required_plugins', 'one-click-demo-import') && function_exists('heartstar_exists_trx_addons') && heartstar_exists_trx_addons() && class_exists('trx_addons_demo_data_importer')) {
			?>
			<a href="<?php echo esc_url(admin_url().'themes.php?page=trx_importer'); ?>" class="button button-primary"><i class="dashicons dashicons-download"></i> <?php esc_html_e('One Click Demo Import', 'heartstar'); ?></a>
			<?php
		}
		// Link to the Customizer
		?><a href="<?php echo esc_url(admin_url().'customize.php'); ?>" class="button"><i class="dashicons dashicons-admin-appearance"></i> <?php esc_html_e('Theme Customizer', 'heartstar'); ?></a><?php
		// Link to the Theme Options
		if (!HEARTSTAR_THEME_FREE) {
			?><span> <?php esc_html_e('or', 'heartstar'); ?> </span>
        	<a href="<?php echo esc_url(admin_url().'themes.php?page=theme_options'); ?>" class="button"><i class="dashicons dashicons-admin-appearance"></i> <?php esc_html_e('Theme Options', 'heartstar'); ?></a><?php
        }
        // Dismiss this notice
        ?><a href="#" class="heartstar_hide_notice"><i class="dashicons dashicons-dismiss"></i> <span class="heartstar_hide_notice_text"><?php esc_html_e('Dismiss', 'heartstar'); ?></span></a>
	</div>
</div>