<?php
/**
 * The template to display Admin notices
 *
 * @package WordPress
 * @subpackage HEARTSTAR
 * @since HEARTSTAR 1.0.1
 */
 
$heartstar_theme_obj = wp_get_theme();

?>
<div class="heartstar_admin_notice heartstar_rate_notice update-nag"><?php
	// Theme image
	if ( ($heartstar_theme_img = heartstar_get_file_url('screenshot.jpg')) != '') {
		?><div class="heartstar_notice_image"><img src="<?php echo esc_url($heartstar_theme_img); ?>" alt="<?php esc_attr_e('Theme screenshot', 'heartstar'); ?>"></div><?php
	}

	// Title
	?><h3 class="heartstar_notice_title"><a href="<?php echo esc_url(heartstar_storage_get('theme_download_url')); ?>" target="_blank"><?php
		// Translators: Add theme name and version to the 'Welcome' message
		echo esc_html(sprintf(__('Rate our theme "%s", please', 'heartstar'),
				$heartstar_theme_obj->name . (HEARTSTAR_THEME_FREE ? ' ' . __('Free', 'heartstar') : '')
				));
	?></a></h3><?php
	
	// Description
	?><div class="heartstar_notice_text">
		<p><?php echo wp_kses_data(__('We are glad you chose our WP theme for your website. You&#39;ve done well customizing your website and we hope that you&#39;ve enjoyed working with our theme.', 'heartstar')); ?></p>
		<p><?php echo wp_kses_data(__('It would be just awesome if you spend just a minute of your time to rate our theme or the customer service you&#39;ve received from us.', 'heartstar')); ?></p>
		<p class="heartstar_notice_text_info"><?php echo wp_kses_data(__('* We love receiving 5-star ratings, because our CEO Henry Rise gives $5 to homeless dog shelter for every 5-star rating we get! Save the planet with us!', 'heartstar')); ?></p>
	</div><?php

	// Buttons
	?><div class="heartstar_notice_buttons"><?php
		// Link to the theme download page
		?><a href="<?php echo esc_url(heartstar_storage_get('theme_download_url')); ?>" class="button button-primary" target="_blank"><i class="dashicons dashicons-star-filled"></i> <?php
			// Translators: Add theme name
			echo esc_html(sprintf(__('Rate theme %s', 'heartstar'), $heartstar_theme_obj->name));
		?></a><?php
		// Link to the theme support
		?><a href="<?php echo esc_url(heartstar_storage_get('theme_support_url')); ?>" class="button" target="_blank"><i class="dashicons dashicons-sos"></i> <?php
			esc_html_e('Support', 'heartstar');
		?></a><?php
		// Link to the theme documentation
		?><a href="<?php echo esc_url(heartstar_storage_get('theme_doc_url')); ?>" class="button" target="_blank"><i class="dashicons dashicons-book"></i> <?php
			esc_html_e('Documentation', 'heartstar');
		?></a><?php
		// Dismiss
		?><a href="#" class="heartstar_hide_notice"><i class="dashicons dashicons-dismiss"></i> <span class="heartstar_hide_notice_text"><?php esc_html_e('Dismiss', 'heartstar'); ?></span></a>
	</div>
</div>