<?php
/**
 * The template to display default site footer
 *
 * @package WordPress
 * @subpackage HEARTSTAR
 * @since HEARTSTAR 1.0.10
 */

$heartstar_footer_id = str_replace('footer-custom-', '', heartstar_get_theme_option("footer_style"));
if ((int) $heartstar_footer_id == 0) {
	$heartstar_footer_id = heartstar_get_post_id(array(
												'name' => $heartstar_footer_id,
												'post_type' => defined('TRX_ADDONS_CPT_LAYOUTS_PT') ? TRX_ADDONS_CPT_LAYOUTS_PT : 'cpt_layouts'
												)
											);
} else {
	$heartstar_footer_id = apply_filters('heartstar_filter_get_translated_layout', $heartstar_footer_id);
}
$heartstar_footer_meta = get_post_meta($heartstar_footer_id, 'trx_addons_options', true);
if (!empty($heartstar_footer_meta['margin']) != '') 
	heartstar_add_inline_css(sprintf('.page_content_wrap{padding-bottom:%s}', esc_attr(heartstar_prepare_css_value($heartstar_footer_meta['margin']))));
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr($heartstar_footer_id); 
						?> footer_custom_<?php echo esc_attr(sanitize_title(get_the_title($heartstar_footer_id))); 
						if (!heartstar_is_inherit(heartstar_get_theme_option('footer_scheme')))
							echo ' scheme_' . esc_attr(heartstar_get_theme_option('footer_scheme'));
						?>">
	<?php
    // Custom footer's layout
    do_action('heartstar_action_show_layout', $heartstar_footer_id);
	?>
</footer><!-- /.footer_wrap -->
