<?php
/**
 * The template to display the site logo in the footer
 *
 * @package WordPress
 * @subpackage HEARTSTAR
 * @since HEARTSTAR 1.0.10
 */

// Logo
if (heartstar_is_on(heartstar_get_theme_option('logo_in_footer'))) {
	$heartstar_logo_image = heartstar_get_logo_image('footer');
	$heartstar_logo_text  = get_bloginfo( 'name' );
	if (!empty($heartstar_logo_image) || !empty($heartstar_logo_text)) {
		?>
		<div class="footer_logo_wrap">
			<div class="footer_logo_inner">
				<?php
				if (!empty($heartstar_logo_image)) {
					$heartstar_attr = heartstar_getimagesize($heartstar_logo_image);
					echo '<a href="'.esc_url(home_url('/')).'">'
							. '<img src="'.esc_url($heartstar_logo_image).'"'
								. ' class="logo_footer_image"'
								. ' alt="'.esc_attr__('Site logo', 'heartstar').'"'
								. (!empty($heartstar_attr[3]) ? ' ' . wp_kses_data($heartstar_attr[3]) : '')
							.'>'
						. '</a>' ;
				} else if (!empty($heartstar_logo_text)) {
					echo '<h1 class="logo_footer_text">'
							. '<a href="'.esc_url(home_url('/')).'">'
								. esc_html($heartstar_logo_text)
							. '</a>'
						. '</h1>';
				}
				?>
			</div>
		</div>
		<?php
	}
}
?>