<?php
/**
 * The template to display the widgets area in the footer
 *
 * @package WordPress
 * @subpackage HEARTSTAR
 * @since HEARTSTAR 1.0.10
 */

// Footer sidebar
$heartstar_footer_name = heartstar_get_theme_option('footer_widgets');
$heartstar_footer_present = !heartstar_is_off($heartstar_footer_name) && is_active_sidebar($heartstar_footer_name);
if ($heartstar_footer_present) { 
	heartstar_storage_set('current_sidebar', 'footer');
	$heartstar_footer_wide = heartstar_get_theme_option('footer_wide');
	ob_start();
	if ( is_active_sidebar($heartstar_footer_name) ) {
		dynamic_sidebar($heartstar_footer_name);
	}
	$heartstar_out = trim(ob_get_contents());
	ob_end_clean();
	if (!empty($heartstar_out)) {
		$heartstar_out = preg_replace("/<\\/aside>[\r\n\s]*<aside/", "</aside><aside", $heartstar_out);
		$heartstar_need_columns = true;	//or check: strpos($heartstar_out, 'columns_wrap')===false;
		if ($heartstar_need_columns) {
			$heartstar_columns = max(0, (int) heartstar_get_theme_option('footer_columns'));
			if ($heartstar_columns == 0) $heartstar_columns = min(4, max(1, substr_count($heartstar_out, '<aside ')));
			if ($heartstar_columns > 1)
				$heartstar_out = preg_replace("/<aside([^>]*)class=\"widget/", "<aside$1class=\"column-1_".esc_attr($heartstar_columns).' widget', $heartstar_out);
			else
				$heartstar_need_columns = false;
		}
		?>
		<div class="footer_widgets_wrap widget_area<?php echo !empty($heartstar_footer_wide) ? ' footer_fullwidth' : ''; ?> sc_layouts_row sc_layouts_row_type_normal">
			<div class="footer_widgets_inner widget_area_inner">
				<?php 
				if (!$heartstar_footer_wide) { 
					?><div class="content_wrap"><?php
				}
				if ($heartstar_need_columns) {
					?><div class="columns_wrap"><?php
				}
				do_action( 'heartstar_action_before_sidebar' );
				heartstar_show_layout($heartstar_out);
				do_action( 'heartstar_action_after_sidebar' );
				if ($heartstar_need_columns) {
					?></div><!-- /.columns_wrap --><?php
				}
				if (!$heartstar_footer_wide) {
					?></div><!-- /.content_wrap --><?php
				}
				?>
			</div><!-- /.footer_widgets_inner -->
		</div><!-- /.footer_widgets_wrap -->
		<?php
	}
}
?>