<?php
/**
 * The template to display custom header from the ThemeREX Addons Layouts
 *
 * @package WordPress
 * @subpackage HEARTSTAR
 * @since HEARTSTAR 1.0.06
 */

$heartstar_header_css = '';
$heartstar_header_image = get_header_image();
$heartstar_header_video = heartstar_get_header_video();
if (!empty($heartstar_header_image) && heartstar_trx_addons_featured_image_override(is_singular() || heartstar_storage_isset('blog_archive') || is_category())) {
	$heartstar_header_image = heartstar_get_current_mode_image($heartstar_header_image);
}

$heartstar_header_id = str_replace('header-custom-', '', heartstar_get_theme_option("header_style"));
if ((int) $heartstar_header_id == 0) {
	$heartstar_header_id = heartstar_get_post_id(array(
												'name' => $heartstar_header_id,
												'post_type' => defined('TRX_ADDONS_CPT_LAYOUTS_PT') ? TRX_ADDONS_CPT_LAYOUTS_PT : 'cpt_layouts'
												)
											);
} else {
	$heartstar_header_id = apply_filters('heartstar_filter_get_translated_layout', $heartstar_header_id);
}
$heartstar_header_meta = get_post_meta($heartstar_header_id, 'trx_addons_options', true);
if (!empty($heartstar_header_meta['margin']) != '') 
	heartstar_add_inline_css(sprintf('.page_content_wrap{padding-top:%s}', esc_attr(heartstar_prepare_css_value($heartstar_header_meta['margin']))));

?><header class="top_panel top_panel_custom top_panel_custom_<?php echo esc_attr($heartstar_header_id); 
				?> top_panel_custom_<?php echo esc_attr(sanitize_title(get_the_title($heartstar_header_id)));
				echo !empty($heartstar_header_image) || !empty($heartstar_header_video) 
					? ' with_bg_image' 
					: ' without_bg_image';
				if ($heartstar_header_video!='') 
					echo ' with_bg_video';
				if ($heartstar_header_image!='') 
					echo ' '.esc_attr(heartstar_add_inline_css_class('background-image: url('.esc_url($heartstar_header_image).');'));
				if (is_single() && has_post_thumbnail()) 
					echo ' with_featured_image';
				if (heartstar_is_on(heartstar_get_theme_option('header_fullheight'))) 
					echo ' header_fullheight heartstar-full-height';
				if (!heartstar_is_inherit(heartstar_get_theme_option('header_scheme')))
					echo ' scheme_' . esc_attr(heartstar_get_theme_option('header_scheme'));
				?>"><?php

	// Background video
	if (!empty($heartstar_header_video)) {
		get_template_part( apply_filters('heartstar_filter_get_template_part', 'templates/header-video') );
	}
		
	// Custom header's layout
	do_action('heartstar_action_show_layout', $heartstar_header_id);

	// Header widgets area
	get_template_part( apply_filters('heartstar_filter_get_template_part', 'templates/header-widgets') );
		
?></header>