<?php
/**
 * The template to display default site header
 *
 * @package WordPress
 * @subpackage HEARTSTAR
 * @since HEARTSTAR 1.0
 */

$heartstar_header_css = '';
$heartstar_header_image = get_header_image();
$heartstar_header_video = heartstar_get_header_video();
if (!empty($heartstar_header_image) && heartstar_trx_addons_featured_image_override(is_singular() || heartstar_storage_isset('blog_archive') || is_category())) {
	$heartstar_header_image = heartstar_get_current_mode_image($heartstar_header_image);
}

?><header class="top_panel top_panel_default<?php
					echo !empty($heartstar_header_image) || !empty($heartstar_header_video) ? ' with_bg_image' : ' without_bg_image';
					if ($heartstar_header_video!='') echo ' with_bg_video';
					if ($heartstar_header_image!='') echo ' '.esc_attr(heartstar_add_inline_css_class('background-image: url('.esc_url($heartstar_header_image).');'));
					if (is_single() && has_post_thumbnail()) echo ' with_featured_image';
					if (heartstar_is_on(heartstar_get_theme_option('header_fullheight'))) echo ' header_fullheight heartstar-full-height';
					if (!heartstar_is_inherit(heartstar_get_theme_option('header_scheme')))
						echo ' scheme_' . esc_attr(heartstar_get_theme_option('header_scheme'));
					?>"><?php

	// Background video
	if (!empty($heartstar_header_video)) {
		get_template_part( apply_filters('heartstar_filter_get_template_part', 'templates/header-video') );
	}
	
	// Main menu
	if (heartstar_get_theme_option("menu_style") == 'top') {
		get_template_part( apply_filters('heartstar_filter_get_template_part', 'templates/header-navi') );
	}

	// Mobile header
	if (heartstar_is_on(heartstar_get_theme_option("header_mobile_enabled"))) {
		get_template_part( apply_filters('heartstar_filter_get_template_part', 'templates/header-mobile') );
	}
	
	// Page title and breadcrumbs area
	get_template_part( apply_filters('heartstar_filter_get_template_part', 'templates/header-title') );

	// Header widgets area
	get_template_part( apply_filters('heartstar_filter_get_template_part', 'templates/header-widgets') );

	// Display featured image in the header on the single posts
	// Comment next line to prevent show featured image in the header area
	// and display it in the post's content
	get_template_part( apply_filters('heartstar_filter_get_template_part', 'templates/header-single') );

?></header>