<?php
/**
 * The template to display the logo or the site name and the slogan in the Header
 *
 * @package WordPress
 * @subpackage HEARTSTAR
 * @since HEARTSTAR 1.0
 */

$heartstar_args = get_query_var('heartstar_logo_args');

// Site logo
$heartstar_logo_type   = isset($heartstar_args['type']) ? $heartstar_args['type'] : '';
$heartstar_logo_image  = heartstar_get_logo_image($heartstar_logo_type);
$heartstar_logo_text   = heartstar_is_on(heartstar_get_theme_option('logo_text')) ? get_bloginfo( 'name' ) : '';
$heartstar_logo_slogan = get_bloginfo( 'description', 'display' );
if (!empty($heartstar_logo_image) || !empty($heartstar_logo_text)) {
	?><a class="sc_layouts_logo" href="<?php echo esc_url(home_url('/')); ?>"><?php
		if (!empty($heartstar_logo_image)) {
			if (empty($heartstar_logo_type) && function_exists('the_custom_logo') && (int) $heartstar_logo_image > 0) {
				the_custom_logo();
			} else {
				$heartstar_attr = heartstar_getimagesize($heartstar_logo_image);
				echo '<img src="'.esc_url($heartstar_logo_image).'" alt="'.esc_attr($heartstar_logo_text).'"'.(!empty($heartstar_attr[3]) ? ' '.wp_kses_data($heartstar_attr[3]) : '').'>';
			}
		} else {
			heartstar_show_layout(heartstar_prepare_macros($heartstar_logo_text), '<span class="logo_text">', '</span>');
			heartstar_show_layout(heartstar_prepare_macros($heartstar_logo_slogan), '<span class="logo_slogan">', '</span>');
		}
	?></a><?php
}
?>