<?php
/**
 * The template to show mobile menu
 *
 * @package WordPress
 * @subpackage HEARTSTAR
 * @since HEARTSTAR 1.0
 */
?>
<div class="menu_mobile_overlay"></div>
<div class="menu_mobile menu_mobile_<?php echo esc_attr(heartstar_get_theme_option('menu_mobile_fullscreen') > 0 ? 'fullscreen' : 'narrow'); ?> scheme_dark">
	<div class="menu_mobile_inner">
		<a class="menu_mobile_close icon-cancel"></a><?php

		// Logo
		set_query_var('heartstar_logo_args', array('type' => 'mobile'));
		get_template_part( apply_filters('heartstar_filter_get_template_part', 'templates/header-logo') );
		set_query_var('heartstar_logo_args', array());

		// Mobile menu
		$heartstar_menu_mobile = heartstar_get_nav_menu('menu_mobile');
		if (empty($heartstar_menu_mobile)) {
			$heartstar_menu_mobile = apply_filters('heartstar_filter_get_mobile_menu', '');
			if (empty($heartstar_menu_mobile)) $heartstar_menu_mobile = heartstar_get_nav_menu('menu_main');
			if (empty($heartstar_menu_mobile)) $heartstar_menu_mobile = heartstar_get_nav_menu();
		}
		if (!empty($heartstar_menu_mobile)) {
			if (!empty($heartstar_menu_mobile))
				$heartstar_menu_mobile = str_replace(
					array('menu_main', 'id="menu-', 'sc_layouts_menu_nav', 'sc_layouts_hide_on_mobile', 'hide_on_mobile'),
					array('menu_mobile', 'id="menu_mobile-', '', '', ''),
					$heartstar_menu_mobile
					);
			if (strpos($heartstar_menu_mobile, '<nav ')===false)
				$heartstar_menu_mobile = sprintf('<nav class="menu_mobile_nav_area">%s</nav>', $heartstar_menu_mobile);
			heartstar_show_layout(apply_filters('heartstar_filter_menu_mobile_layout', $heartstar_menu_mobile));
		}

		// Search field
		do_action('heartstar_action_search', 'normal', 'search_mobile', false);
		
		// Social icons
		heartstar_show_layout(heartstar_get_socials_links(), '<div class="socials_mobile">', '</div>');
		?>
	</div>
</div>
