<?php
/**
 * The template to display the page title and breadcrumbs
 *
 * @package WordPress
 * @subpackage HEARTSTAR
 * @since HEARTSTAR 1.0
 */

// Page (category, tag, archive, author) title

if ( heartstar_need_page_title() ) {
	heartstar_sc_layouts_showed('title', true);
	heartstar_sc_layouts_showed('postmeta', true);
	?>
	<div class="top_panel_title sc_layouts_row sc_layouts_row_type_normal">
		<div class="content_wrap">
			<div class="sc_layouts_column sc_layouts_column_align_center">
				<div class="sc_layouts_item">
					<div class="sc_layouts_title sc_align_center">
						<?php
						// Blog/Post title
						?><div class="sc_layouts_title_title"><?php
							$heartstar_blog_title = heartstar_get_blog_title();
							$heartstar_blog_title_text = $heartstar_blog_title_class = $heartstar_blog_title_link = $heartstar_blog_title_link_text = '';
							if (is_array($heartstar_blog_title)) {
								$heartstar_blog_title_text = $heartstar_blog_title['text'];
								$heartstar_blog_title_class = !empty($heartstar_blog_title['class']) ? ' '.$heartstar_blog_title['class'] : '';
								$heartstar_blog_title_link = !empty($heartstar_blog_title['link']) ? $heartstar_blog_title['link'] : '';
								$heartstar_blog_title_link_text = !empty($heartstar_blog_title['link_text']) ? $heartstar_blog_title['link_text'] : '';
							} else
								$heartstar_blog_title_text = $heartstar_blog_title;
							?>
							<h1 itemprop="headline" class="sc_layouts_title_caption<?php echo esc_attr($heartstar_blog_title_class); ?>"><?php
								$heartstar_top_icon = heartstar_get_category_icon();
								if (!empty($heartstar_top_icon)) {
									$heartstar_attr = heartstar_getimagesize($heartstar_top_icon);
									?><img src="<?php echo esc_url($heartstar_top_icon); ?>" alt="<?php esc_attr_e('Site icon', 'heartstar'); ?>" <?php if (!empty($heartstar_attr[3])) heartstar_show_layout($heartstar_attr[3]);?>><?php
								}
								echo wp_kses_data($heartstar_blog_title_text);
							?></h1>
							<?php
							if (!empty($heartstar_blog_title_link) && !empty($heartstar_blog_title_link_text)) {
								?><a href="<?php echo esc_url($heartstar_blog_title_link); ?>" class="theme_button theme_button_small sc_layouts_title_link"><?php echo esc_html($heartstar_blog_title_link_text); ?></a><?php
							}
							
							// Category/Tag description
							if ( is_category() || is_tag() || is_tax() ) 
								the_archive_description( '<div class="sc_layouts_title_description">', '</div>' );
		
						?></div><?php
	
						// Breadcrumbs
						?><div class="sc_layouts_title_breadcrumbs"><?php
							do_action( 'heartstar_action_breadcrumbs');
						?></div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<?php
}
?>