<?php
/**
 * The template to display the background video in the header
 *
 * @package WordPress
 * @subpackage HEARTSTAR
 * @since HEARTSTAR 1.0.14
 */
$heartstar_header_video = heartstar_get_header_video();
$heartstar_embed_video = '';
if (!empty($heartstar_header_video) && !heartstar_is_from_uploads($heartstar_header_video)) {
	if (heartstar_is_youtube_url($heartstar_header_video) && preg_match('/[=\/]([^=\/]*)$/', $heartstar_header_video, $matches) && !empty($matches[1])) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr($matches[1]); ?>"></div><?php
	} else {
		global $wp_embed;
		if (false && is_object($wp_embed)) {
			$heartstar_embed_video = do_shortcode($wp_embed->run_shortcode( '[embed]' . trim($heartstar_header_video) . '[/embed]' ));
			$heartstar_embed_video = heartstar_make_video_autoplay($heartstar_embed_video);
		} else {
			$heartstar_header_video = str_replace('/watch?v=', '/embed/', $heartstar_header_video);
			$heartstar_header_video = heartstar_add_to_url($heartstar_header_video, array(
				'feature' => 'oembed',
				'controls' => 0,
				'autoplay' => 1,
				'showinfo' => 0,
				'modestbranding' => 1,
				'wmode' => 'transparent',
				'enablejsapi' => 1,
				'origin' => home_url(),
				'widgetid' => 1
			));
			$heartstar_embed_video = '<iframe src="' . esc_url($heartstar_header_video) . '" width="1170" height="658" allowfullscreen="0" frameborder="0"></iframe>';
		}
		?><div id="background_video"><?php heartstar_show_layout($heartstar_embed_video); ?></div><?php
	}
}
?>