<?php
/**
 * The template to display the widgets area in the header
 *
 * @package WordPress
 * @subpackage HEARTSTAR
 * @since HEARTSTAR 1.0
 */

// Header sidebar
$heartstar_header_name = heartstar_get_theme_option('header_widgets');
$heartstar_header_present = !heartstar_is_off($heartstar_header_name) && is_active_sidebar($heartstar_header_name);
if ($heartstar_header_present) { 
	heartstar_storage_set('current_sidebar', 'header');
	$heartstar_header_wide = heartstar_get_theme_option('header_wide');
	ob_start();
	if ( is_active_sidebar($heartstar_header_name) ) {
		dynamic_sidebar($heartstar_header_name);
	}
	$heartstar_widgets_output = ob_get_contents();
	ob_end_clean();
	if (!empty($heartstar_widgets_output)) {
		$heartstar_widgets_output = preg_replace("/<\/aside>[\r\n\s]*<aside/", "</aside><aside", $heartstar_widgets_output);
		$heartstar_need_columns = strpos($heartstar_widgets_output, 'columns_wrap')===false;
		if ($heartstar_need_columns) {
			$heartstar_columns = max(0, (int) heartstar_get_theme_option('header_columns'));
			if ($heartstar_columns == 0) $heartstar_columns = min(6, max(1, substr_count($heartstar_widgets_output, '<aside ')));
			if ($heartstar_columns > 1)
				$heartstar_widgets_output = preg_replace("/<aside([^>]*)class=\"widget/", "<aside$1class=\"column-1_".esc_attr($heartstar_columns).' widget', $heartstar_widgets_output);
			else
				$heartstar_need_columns = false;
		}
		?>
		<div class="header_widgets_wrap widget_area<?php echo !empty($heartstar_header_wide) ? ' header_fullwidth' : ' header_boxed'; ?>">
			<div class="header_widgets_inner widget_area_inner">
				<?php 
				if (!$heartstar_header_wide) { 
					?><div class="content_wrap"><?php
				}
				if ($heartstar_need_columns) {
					?><div class="columns_wrap"><?php
				}
				do_action( 'heartstar_action_before_sidebar' );
				heartstar_show_layout($heartstar_widgets_output);
				do_action( 'heartstar_action_after_sidebar' );
				if ($heartstar_need_columns) {
					?></div>	<!-- /.columns_wrap --><?php
				}
				if (!$heartstar_header_wide) {
					?></div>	<!-- /.content_wrap --><?php
				}
				?>
			</div>	<!-- /.header_widgets_inner -->
		</div>	<!-- /.header_widgets_wrap -->
		<?php
	}
}
?>